package br.gov.serpro.cte.email.compor;

import org.junit.Test;

import br.gov.serpro.cte.common.ExpressoMailTestCase;

/**
 * TODO Ainda nao consegui pegar o campo do RichTextEditor para colocar conteudo
 * ao corpo do email.
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Nov 16, 2010 at 4:00:58 PM
 * 
 */
public class EnviarEmailTestCase extends ExpressoMailTestCase {

	@Test
	public void testaEnviarEmail() throws Exception {
		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(),
				Valor.ASSUNTO.getValue());
		super.sendEmail();
	}

	@Test
	public void testaEnviarEmailSemDestinatario() throws Exception {
		super.composeEmail("", Valor.ASSUNTO_SEM_DESTINATARIO.getValue());
		super.sendEmail();
		super.assertMessage(Mensagem.SEM_DESTINATARIO.getValue());
	}

	@Test
	public void testaEnviarEmailDestinatarioInvalido() throws Exception {
		super.composeEmail(Valor.EMAIL_INVALIDO.getValue(),
				Valor.ASSUNTO_EMAIL_INVALIDO.getValue());
		super.sendEmail();
		super.assertMessage(Mensagem.DESTINATARIO_INVALIDO.getValue());
	}

	@Test
	public void testaEnviarEmailSemAssunto() throws Exception {
		super.composeEmail(Valor.EMAIL_TESTE_1.getValue(), "");
		super.sendEmail();
		assertTrue(selenium.getConfirmation().matches(
				Mensagem.SEM_ASSUNTO.getValue()));
	}

	@Test
	public void testaEnviarEmailMultiplosDestinatarios() throws Exception {
		super.composeEmail(Valor.EMAIL_TESTE_MULTIPLOS.getValue(),
				Valor.ASSUNTO_MULTIPLOS_DESTINATARIOS.getValue());
		super.sendEmail();
	}

}
